(********************************************************************
 * COPYRIGHT -- Microsoft
 ********************************************************************
 * Library: MereniLib
 * File: MereniLib.fun
 * Author: sasin
 * Created: April 14, 2014
 ********************************************************************
 * Functions and function blocks of library MereniLib
 ********************************************************************)

FUNCTION_BLOCK MereniHmotnosti (*Vypoet hmotnosti po ustaleni proudu a rychlosti*)
	VAR_INPUT
		realProud : REAL; (*Aktualni hodnota proudu*)
		realMaxOdchylka : REAL := 4.0; (*Maximln povolen odchylka v procentech*)
		realPozice : REAL; (*Aktuln pozice*)
		realNapeti : REAL; (*Aktuln napt*)
		realRPM : REAL; (*Aktuln otky*)
		realCosFi : REAL := 0.85; (*ink motoru cos fi*)
		realUcinnost : REAL := 0.871; (*innost (eta) v %*)
		boolEnable : BOOL := FALSE; (*Povolen vyhodnocovn hodnoty*)
	END_VAR
	VAR_OUTPUT
		realHmotnost : REAL := 0.0; (*Vypotan hmotnost elevtoru*)
		boolHotovo : BOOL := FALSE; (*Hmotnost nalezena*)
		usiPocetHodnot : UINT; (*Pocet hodnot*)
	END_VAR
	VAR
		arr_realProud : ARRAY[1..DELKA_POLE] OF REAL; (*Pole nejaktulnjch namench hodnot produ*)
		arr_realNapeti : ARRAY[1..DELKA_POLE] OF REAL; (*Pole nejaktulnjch namench hodnot napeti*)
		arr_realRPM : ARRAY[1..DELKA_POLE] OF REAL; (*Pole nejaktulnjch namench hodnot otek*)
		arr_realRozdilPozice : ARRAY[1..DELKA_POLE] OF REAL; (*Pole nejaktulnjch rozdl vzdlenosti*)
		realPosledniPozice : REAL; (*Pozice elevtoru v pedchozm cyklu*)
		realStredniProud : REAL; (*Stedni hodnoty proudu*)
		realStredniNapeti : REAL; (*Stedni hodnota napt*)
		realStredniRPM : REAL; (*Stedn hodnota otek*)
		i : UINT;
	END_VAR
	VAR CONSTANT
		DELKA_POLE : UINT := 130;
	END_VAR
END_FUNCTION_BLOCK
